components:
  schemas:
    NetworkPort_v1_1_7_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkPort_v1_1_7_FlowControl:
      enum:
      - None
      - TX
      - RX
      - TX_RX
      type: string
      x-enumDescriptions:
        None: No IEEE 802.3x flow control is enabled on this port.
        RX: The link partner can initiate IEEE 802.3x flow control.
        TX: This station can initiate IEEE 802.3x flow control.
        TX_RX: This station or the link partner can initiate IEEE 802.3x flow control.
    NetworkPort_v1_1_7_LinkNetworkTechnology:
      enum:
      - Ethernet
      - InfiniBand
      - FibreChannel
      type: string
      x-enumDescriptions:
        Ethernet: The port is capable of connecting to an Ethernet network.
        FibreChannel: The port is capable of connecting to a Fibre Channel network.
        InfiniBand: The port is capable of connecting to an InfiniBand network.
    NetworkPort_v1_1_7_LinkStatus:
      enum:
      - Down
      - Up
      type: string
      x-enumDescriptions:
        Down: The port is enabled but link is down.
        Up: The port is enabled and link is good (up).
    NetworkPort_v1_1_7_NetDevFuncMaxBWAlloc:
      additionalProperties: false
      description: A maximum bandwidth allocation percentage for a network device
        functions associated a port.
      properties:
        MaxBWAllocPercent:
          description: The maximum bandwidth allocation percentage allocated to the
            corresponding network device function instance.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the maximum bandwidth percentage
            allocation for the associated network device function.
          x-units: '%'
        NetworkDeviceFunction:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the network device function associated with this
            bandwidth setting of this network port.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            NetworkDeviceFunction that represents the network device function associated
            with this bandwidth setting of this network port.
      type: object
      x-longDescription: This type shall describe a maximum bandwidth percentage allocation
        for a network device function associated with a port.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkPort_v1_1_7_NetDevFuncMinBWAlloc:
      additionalProperties: false
      description: A minimum bandwidth allocation percentage for a network device
        functions associated a port.
      properties:
        MinBWAllocPercent:
          description: The minimum bandwidth allocation percentage allocated to the
            corresponding network device function instance.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the minimum bandwidth percentage
            allocation for the associated network device function.  The sum total
            of all minimum percentages shall not exceed 100.
          x-units: '%'
        NetworkDeviceFunction:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the network device function associated with this
            bandwidth setting of this network port.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            NetworkDeviceFunction that represents the network device function associated
            with this bandwidth setting of this network port.
      type: object
      x-longDescription: This type shall describe a minimum bandwidth percentage allocation
        for a network device function associated with a port.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkPort_v1_1_7_NetworkPort:
      additionalProperties: false
      description: The NetworkPort schema describes a network port, which is a discrete
        physical port that can connect to a network.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        ActiveLinkTechnology:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_LinkNetworkTechnology'
          description: Network port active link technology.
          nullable: true
          readOnly: false
          x-longDescription: This property shall contain the configured link technology
            of this port.
        AssociatedNetworkAddresses:
          description: An array of configured MAC or WWN network addresses that are
            associated with this network port, including the programmed address of
            the lowest numbered network device function, the configured but not active
            address, if applicable, the address for hardware port teaming, or other
            network addresses.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of configured network
            addresses that are associated with this network port, including the programmed
            address of the lowest numbered network device function, the configured
            but not active address if applicable, the address for hardware port teaming,
            or other network addresses.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        EEEEnabled:
          description: An indication of whether IEEE 802.3az Energy-Efficient Ethernet
            (EEE) is enabled for this network port.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether IEEE 802.3az Energy-Efficient
            Ethernet (EEE) is enabled for this network port.
        FlowControlConfiguration:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_FlowControl'
          description: The locally configured 802.3x flow control setting for this
            network port.
          nullable: true
          readOnly: false
          x-longDescription: This property shall contain the locally configured 802.3x
            flow control setting for this network port.
        FlowControlStatus:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_FlowControl'
          description: The 802.3x flow control behavior negotiated with the link partner
            for this network port (Ethernet-only).
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the 802.3x flow control behavior
            negotiated with the link partner for this network port (Ethernet-only).
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        LinkStatus:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_LinkStatus'
          description: The status of the link between this port and its link partner.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the link status between this
            port and its link partner.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        NetDevFuncMaxBWAlloc:
          description: An array of maximum bandwidth allocation percentages for the
            network device functions associated with this port.
          items:
            $ref: '#/components/schemas/NetworkPort_v1_1_7_NetDevFuncMaxBWAlloc'
          type: array
          x-longDescription: This property shall contain an array of maximum bandwidth
            allocation percentages for the network device functions associated with
            this port.
        NetDevFuncMinBWAlloc:
          description: An array of minimum bandwidth allocation percentages for the
            network device functions associated with this port.
          items:
            $ref: '#/components/schemas/NetworkPort_v1_1_7_NetDevFuncMinBWAlloc'
          type: array
          x-longDescription: This property shall contain an array of minimum bandwidth
            percentage allocations for each of the network device functions associated
            with this port.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PhysicalPortNumber:
          description: The physical port number label for this port.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the physical port number
            on the network adapter hardware that this network port corresponds to.  This
            value should match a value visible on the hardware.
        PortMaximumMTU:
          description: The largest maximum transmission unit (MTU) that can be configured
            for this network port.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the largest maximum transmission
            unit (MTU) that can be configured for this network port.
        SignalDetected:
          description: An indication of whether the port has detected enough signal
            on enough lanes to establish a link.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the port has detected
            enough signal on enough lanes to establish a link.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        SupportedEthernetCapabilities:
          description: The set of Ethernet capabilities that this port supports.
          items:
            $ref: '#/components/schemas/NetworkPort_v1_1_7_SupportedEthernetCapabilities'
            nullable: true
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of zero or more
            Ethernet capabilities supported by this port.
        SupportedLinkCapabilities:
          description: The link capabilities of this port.
          items:
            $ref: '#/components/schemas/NetworkPort_v1_1_7_SupportedLinkCapabilities'
          type: array
          x-longDescription: This property shall describe the static capabilities
            of the port, irrespective of transient conditions such as cabling, interface
            module presence, or remote link partner status or configuration.
        WakeOnLANEnabled:
          description: An indication of whether Wake on LAN (WoL) is enabled for this
            network port.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether Wake on LAN (WoL)
            is enabled for this network port.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a discrete physical port that
        can connect to a network in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkPort_v1_1_7_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkPort_v1_1_7_SupportedEthernetCapabilities:
      enum:
      - WakeOnLAN
      - EEE
      type: string
      x-enumDescriptions:
        EEE: IEEE 802.3az Energy-Efficient Ethernet (EEE) is supported on this port.
        WakeOnLAN: Wake on LAN (WoL) is supported on this port.
    NetworkPort_v1_1_7_SupportedLinkCapabilities:
      additionalProperties: false
      description: The link capabilities of an associated port.
      properties:
        LinkNetworkTechnology:
          $ref: '#/components/schemas/NetworkPort_v1_1_7_LinkNetworkTechnology'
          description: The link network technology capabilities of this port.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain a network technology capability
            of this port.
        LinkSpeedMbps:
          description: The speed of the link in Mbit/s when this link network technology
            is active.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the speed of the link in
            megabits per second (Mbit/s) for this port when this link network technology
            is active.
          x-units: Mbit/s
      type: object
      x-longDescription: This type shall describe the static capabilities of an associated
        port, irrespective of transient conditions such as cabling, interface module
        presence, or remote link partner status or configuration.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#NetworkPort.v1_1_7.NetworkPort'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2017.1'
